fitted.values {base} | R Documentation

## Extract Model Fitted Values

### Description

`fitted` is a generic function which extracts fitted values from objects returned by modeling functions. `fitted.values` is an alias for it.

All object classes which are returned by model fitting functions should provide a `fitted` method. (Note that the generic is `fitted` and not `fitted.values`.)

### Usage

    fitted(x, ...)
    fitted.values(x, ...)

### Arguments

`x` | an object for which the extraction of model fitted values is meaningful.
`...` | other arguments.

### Value

Fitted values extracted from the object `x`.

### See Also

`coefficients`, `glm`, `lm`, `residuals`.

[Package Contents]